Package net.sf.saxon.type

## Class StringToDouble

- java.lang.Object
- - net.sf.saxon.type.Converter
  - - net.sf.saxon.type.StringConverter
    - - net.sf.saxon.type.StringToDouble

- Direct Known Subclasses:
    `StringToDouble11`

      public class StringToDouble
      extends StringConverter

  This class converts a string to an xs:double according to the rules in XML Schema 1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.type.StringConverter

      `StringConverter.StringToAnyURI, StringConverter.StringToBase64Binary, StringConverter.StringToBoolean, StringConverter.StringToDate, StringConverter.StringToDateTime, StringConverter.StringToDateTimeStamp, StringConverter.StringToDayTimeDuration, StringConverter.StringToDecimal, StringConverter.StringToDerivedStringSubtype, StringConverter.StringToDuration, StringConverter.StringToFloat, StringConverter.StringToGDay, StringConverter.StringToGMonth, StringConverter.StringToGMonthDay, StringConverter.StringToGYear, StringConverter.StringToGYearMonth, StringConverter.StringToHexBinary, StringConverter.StringToInteger, StringConverter.StringToIntegerSubtype, StringConverter.StringToLanguage, StringConverter.StringToName, StringConverter.StringToNCName, StringConverter.StringToNMTOKEN, StringConverter.StringToNonStringDerivedType, StringConverter.StringToNormalizedString, StringConverter.StringToNotation, StringConverter.StringToQName, StringConverter.StringToString, StringConverter.StringToStringSubtype, StringConverter.StringToTime, StringConverter.StringToToken, StringConverter.StringToUnionConverter, StringConverter.StringToUntypedAtomic, StringConverter.StringToYearMonthDuration`

    - ### Nested classes/interfaces inherited from class net.sf.saxon.type.Converter

      `Converter.Base64BinaryToHexBinary, Converter.BooleanToDecimal, Converter.BooleanToDouble, Converter.BooleanToFloat, Converter.BooleanToInteger, Converter.DateTimeToDate, Converter.DateTimeToGDay, Converter.DateTimeToGMonth, Converter.DateTimeToGMonthDay, Converter.DateTimeToGYear, Converter.DateTimeToGYearMonth, Converter.DateTimeToTime, Converter.DateToDateTime, Converter.DecimalToInteger, Converter.DoubleToDecimal, Converter.DoubleToInteger, Converter.DownCastingConverter, Converter.DurationToDayTimeDuration, Converter.DurationToYearMonthDuration, Converter.FloatToDecimal, Converter.FloatToInteger, Converter.HexBinaryToBase64Binary, Converter.IdentityConverter, Converter.IntegerToDecimal, Converter.NotationToQName, Converter.NumericToBoolean, Converter.NumericToDecimal, Converter.NumericToDouble, Converter.NumericToFloat, Converter.NumericToInteger, Converter.PromoterToDouble, Converter.PromoterToFloat, Converter.QNameToNotation, Converter.ToStringConverter, Converter.ToUntypedAtomicConverter, Converter.TwoPhaseConverter, Converter.UnfailingConverter, Converter.UpCastingConverter`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StringToDouble()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConversionResult` | `convertString​(java.lang.CharSequence input)` | Convert a string to the target type of this converter.
    `static StringToDouble` | `getInstance()` | Get the singleton instance
    `protected double` | `signedPositiveInfinity()` |
    `double` | `stringToNumber​(java.lang.CharSequence s)` | Convert a string to a double.

    - ### Methods inherited from class net.sf.saxon.type.StringConverter

      `convert, validate`

    - ### Methods inherited from class net.sf.saxon.type.Converter

      `convert, getConversionRules, getNamespaceResolver, isAlwaysSuccessful, setConversionRules, setNamespaceResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringToDouble

          protected StringToDouble()

  - ### Method Detail

    - #### getInstance

          public static StringToDouble getInstance()

      Get the singleton instance
      Returns:
        the singleton instance of this class

    - #### stringToNumber

          public double stringToNumber​(java.lang.CharSequence s)
                                throws java.lang.NumberFormatException

      Convert a string to a double.
      Parameters:
        `s` - the String to be converted
      Returns:
        a double representing the value of the String
      Throws:
        `java.lang.NumberFormatException` - if the value cannot be converted

    - #### signedPositiveInfinity

          protected double signedPositiveInfinity()

    - #### convertString

          public ConversionResult convertString​(java.lang.CharSequence input)

      Convert a string to the target type of this converter.
      Specified by:
        `convertString` in class `StringConverter`
      Parameters:
        `input` - the string to be converted
      Returns:
        either an `AtomicValue` of the appropriate type for this converter (if conversion succeeded), or a `ValidationFailure` if conversion failed.